# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Math.Poly.Polynomial

↳ JXG.Math.Poly.Polynomial

Defined in: MathPoly.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Poly.Polynomial(ring, str) A polynomial is a sum of monomials.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| monomials List of monomials.
| ring A polynomial ring.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(mp) Adds another polynomial or monomial to this one and merges them by checking for the signature of each new monomial in the existing monomials.
| addSubMonomial(m, factor) Adds a monomial to the polynomial.
| copy() Creates a deep copy of the polynomial.
| findSignature(sig) Find a monomial with the given signature, i.e.
| print() Prints the polynomial.
| sub(mp) Subtracts another polynomial or monomial from this one and merges them by checking for the signature of each new monomial in the existing monomials.

Class Detail
JXG.Math.Poly.Polynomial(ring, str)
A polynomial is a sum of monomials.

Parameters:
{JXG.Math.Poly.Ring} ring
  A polynomial ring.
{String} str
  TODO String representation of the polynomial, will be parsed.

Field Detail
{Array} monomials
List of monomials.

{JXG.Math.Poly.Ring} ring
A polynomial ring.
Method Detail
add(mp)
Adds another polynomial or monomial to this one and merges them by checking for the signature of each new monomial in the existing monomials.

Parameters:
{JXG.Math.Poly.Polynomial|JXG.Math.Poly.Monomial} mp

addSubMonomial(m, factor)
Adds a monomial to the polynomial. Checks the existing monomials for the added monomial's signature and just adds the coefficient if one is found.

Parameters:
{JXG.Math.Poly.Monomial} m
{Number} factor
  Either `1` or `-1`.

{JXG.Math.Poly.Polynomial} copy()
Creates a deep copy of the polynomial.

Returns:
  {JXG.Math.Poly.Polynomial}

{Number} findSignature(sig)
Find a monomial with the given signature, i.e. exponent vector.

Parameters:
{Array} sig
  An array of numbers

Returns:
  {Number} The index of the first monomial with the given signature, or -1 if no monomial could be found.

{String} print()
Prints the polynomial.

Returns:
  {String} A string representation of the polynomial.

sub(mp)
Subtracts another polynomial or monomial from this one and merges them by checking for the signature of each new monomial in the existing monomials.

Parameters:
{JXG.Math.Poly.Polynomial|JXG.Math.Poly.Monomial} mp

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:08 GMT+0200 (MESZ)